Page MenuHomePhabricator

perftweaks: ignore errors caused by trackupdatesize
ClosedPublic

Authored by quark on Nov 23 2017, 5:27 PM.

Details

Reviewers
durham
Group Reviewers
Restricted Project
Commits
rFBHGX0a6720dc8335: perftweaks: ignore errors caused by trackupdatesize
Summary

When enabling the extensions and run tests in core hg, it sometimes raises

RepoLookupError: unknown revision '-1'

from the trackupdate code path. This is not a critical feature so let's just
ignore the error.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

quark created this revision.Nov 23 2017, 5:27 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 23 2017, 5:27 PM
durham accepted this revision.Nov 27 2017, 9:40 PM
This revision is now accepted and ready to land.Nov 27 2017, 9:40 PM
quark updated this revision to Diff 3989.Nov 29 2017, 8:40 PM
This revision was automatically updated to reflect the committed changes.